      subroutine suppdb(orb,long)
      character(*) orb
      j=1
      do i=2,long
         if(orb(i-1:i).ne.'  ') then
            j=j+1
            orb(j:j)=orb(i:i)
         endif
      enddo
      orb(j+1:long)=' '
      long=j
      return
      end
       subroutine suppb(orb,long)
      character(*) orb
      j=0
      do i=1,long
         if(orb(i:i)==' ') cycle
         j=j+1
         orb(j:j)=orb(i:i)
      enddo
      orb(j+1:long)=' '
      end
         

